<template>
  <div>
    <b-icon icon="play" @click="opcion('Reproducir')" class="rounded-circle border"></b-icon>
    <b-icon icon="plus" @click="opcion('Agregar')" class="rounded-circle border"></b-icon>
    <b-icon icon="hand-thumbs-up" @click="opcion('Me gusta')" class="rounded-circle border"></b-icon>
    <b-icon icon="hand-thumbs-down" @click="opcion('No me gusta')" class="rounded-circle border"></b-icon>



    <a href="#" @click="detalle(modal)" class="float-right text-white"><b-icon  icon="chevron-down" class="rounded-circle border "></b-icon></a>

    <p style="font-size: 9px">
      <b class="text-success" @click="opcion('La opcion')">98% Match</b> <b-badge>18+</b-badge> 5 Season <b-badge>HD</b-badge>
    </p>

    <p style="font-size: 9px">
      <span @click="opcion('Un Tags')">Violent</span> <b-icon icon="caret-right-fill"></b-icon>
      <span @click="opcion('Un Tags')">Gritty</span> <b-icon icon="caret-right-fill"></b-icon>
      <span @click="opcion('Un Tags')">Dark</span>
    </p>
  </div>
</template>

<script>
export default {
  name: "opciones",
  props:['modal'],
  methods:{
    detalle(modal){
      this.$store.dispatch('detalle',this.hover);
      this.showModal(modal);
    },
    showModal(modal) {
      this.$bvModal.show(modal);
    },
    opcion(miOpcion){
      alert("El usuario a seleccionado '"+miOpcion+"'");
    }
  }
}
</script>

<style scoped>

</style>
